```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Mcrypt (Details)
> namespace: **VDM\Joomla\FOF\Encrypt\AES**
> extends: **Abstraction**
```uml
@startuml
class Mcrypt  #Gold {
  + setEncryptionMode($mode = 'cbc', $strength = 128)
  + encrypt($plainText, $key, ...)
  + decrypt($cipherText, $key)
  + isSupported(Phpfunc $phpfunc = null)
  + getBlockSize()
}

note right of Mcrypt::encrypt
  
  arguments:
    $plainText
    $key
    $iv = null
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

