```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# abstract class Abstraction (Details)
> namespace: **VDM\Joomla\FOF\Encrypt\AES**
```uml
@startuml
abstract Abstraction  #Orange {
  + resizeKey(string $key, int $size) : null|string
  # getZeroPadding(string $string, int $blockSize) : string
}

note right of Abstraction::resizeKey
  Trims or zero-pads a key / IV

  return: null|string
end note

note right of Abstraction::getZeroPadding
  Returns null bytes to append to the string so that it's zero padded to the specified block size

  return: string
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

