```
██████╗  ██████╗ ██╗    ██╗███████╗██████╗
██╔══██╗██╔═══██╗██║    ██║██╔════╝██╔══██╗
██████╔╝██║   ██║██║ █╗ ██║█████╗  ██████╔╝
██╔═══╝ ██║   ██║██║███╗██║██╔══╝  ██╔══██╗
██║     ╚██████╔╝╚███╔███╔╝███████╗██║  ██║
╚═╝      ╚═════╝  ╚══╝╚══╝ ╚══════╝╚═╝  ╚═╝
```
# class Openssl (Details)
> namespace: **VDM\Joomla\FOF\Encrypt\AES**
> extends: **Abstraction**
```uml
@startuml
class Openssl  #Gold {
  # $openSSLOptions
  # $method
  + __construct()
  + setEncryptionMode($mode = 'cbc', $strength = 128)
  + encrypt($plainText, $key, ...)
  + decrypt($cipherText, $key)
  + isSupported(Phpfunc $phpfunc = null)
  + getBlockSize() : int
}

note right of Openssl::encrypt
  
  arguments:
    $plainText
    $key
    $iv = null
end note

note right of Openssl::getBlockSize
  

  return: int
end note
 
@enduml
```

---
```
     ██╗ ██████╗██████╗
     ██║██╔════╝██╔══██╗
     ██║██║     ██████╔╝
██   ██║██║     ██╔══██╗
╚█████╔╝╚██████╗██████╔╝
 ╚════╝  ╚═════╝╚═════╝
```
> Build with [Joomla Component Builder](https://git.vdm.dev/joomla/Component-Builder)

